static char code[] = "\n\
PacketHeaderManager set tab_(PacketHeader/CEAS) 1\n\
\n\
NetworkLayerUnit/CEAS set config_(elite-selection) 0 ;# off\n\
NetworkLayerUnit/CEAS set config_(routing-loops) 1 ;# allow\n\
NetworkLayerUnit/CEAS set config_(temperature-approx) 0 ;# hyperbolic\n\
NetworkLayerUnit/CEAS set config_(pheromone-approx) 0 ;# hyperbolic, 2nd order\n\
NetworkLayerUnit/CEAS set config_(D) 1000 ;# should be adjusted depended on the problem at hand\n\
NetworkLayerUnit/CEAS set config_(rho-reduction) 0 ;#off\n\
NetworkLayerUnit/CEAS set config_(rho) 0.01\n\
NetworkLayerUnit/CEAS set config_(rho-reduction-factor) 0.95\n\
Logger/CEAS set config_(bin-size) 0\n\
Logger/CEAS set config_(sample-freq) 0\n\
Logger/CEAS set config_(cost) 1 ;# on\n\
Logger/CEAS set config_(path) 1 ;# on\n\
Logger/CEAS set config_(delay) 1 ;# on\n\
Logger/CEAS set config_(elite-gamma) 1 ;# on\n\
Logger/CEAS set config_(total-gamma) 1 ;# on\n\
Logger/CEAS set config_(gamma-diff) 1 ;# on\n\
Logger/CEAS set config_(gamma-rel) 1 ;# on\n\
Logger/CEAS set config_(elite-selection-level) 1 ;# on\n\
Logger/CEAS set config_(rho) 1 ;# on\n\
Logger/CEAS set config_(backtrackcount) 1 ;# on\n\
Logger/CEAS set config_(forwardcount) 1 ;# on\n\
Logger/CEAS set config_(gamma-calc-count) 1 ;# on\n\
Logger/CEAS set config_(pheromones) 1 ;# on\n\
Logger/CEAS set config_(pheromones-id) \"\" ;# all\n\
Logger/CEAS set config_(pheromones-at) \"\" ;# all nodes\n\
Logger/CEAS set config_(only) \"\" ;# all keys\n\
Logger/CEAS set config_(cost-best) 1 ;# on\n\
Logger/CEAS set config_(cost-all) 1 ;# on\n\
Logger/CEAS set config_(path-all) 1 ;# on\n\
Logger/CEAS set config_(total-temperature-vars) 1 ;# on\n\
\n\
\n\
Simulator instproc CEAS-config args {\n\
for {} {$args != \"\"} {set args [lrange $args 2 end]} {\n\
set key [lindex $args 0]\n\
set val [lindex $args 1]\n\
if ![string match {-[A-z]*} $key] {\n\
puts stderr \"Simulator::CEAS-config: Error -\\\n\
Invalid command '$key'.\"\n\
exit 1\n\
}\n\
set cmd [string range $key 1 end]\n\
if {$val == \"\"} {\n\
puts stderr \"Simulator::CEAS-config: Error -\\\n\
Command '$cmd' ignored (no value supplied).\"\n\
exit 1\n\
}\n\
if [regexp ^log- $cmd] {\n\
Logger/CEAS init-var [string replace $cmd 0 3] $val\n\
} else {\n\
NetworkLayerUnit/CEAS init-var $cmd $val\n\
}\n\
}\n\
}\n\
\n\
Simulator instproc dump-CEAS-config { } {\n\
puts \"CEAS-config:\"\n\
NetworkLayerUnit/CEAS dump-vars\n\
Logger/CEAS dump-vars\n\
}\n\
\n\
\n\
\n\
NetworkLayerUnit/CEAS proc init-var { cmd val } {\n\
set found 0\n\
foreach c [NetworkLayerUnit/CEAS info subclass] {\n\
if {[$c info commands $cmd] != \"\" } {\n\
$c $cmd $val\n\
return\n\
}\n\
}\n\
if { [NetworkLayerUnit/CEAS info commands $cmd] != \"\" } {\n\
NetworkLayerUnit/CEAS $cmd $val\n\
return\n\
}\n\
puts stderr \"NetworkLayerUnit/CEAS::init-var: Error -\\\n\
Unknown command (-$cmd).\"\n\
exit 1\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc dump-vars { } {\n\
foreach c [NetworkLayerUnit/CEAS info subclass] {\n\
if { [$c info commands dump-vars] != \"\" } {\n\
$c dump-vars\n\
}\n\
}\n\
puts -nonewline \"\\t-elite-selection\\t\\t\"\n\
if {[NetworkLayerUnit/CEAS set config_(elite-selection)] == 0} {\n\
puts \"off\" \n\
} elseif {[NetworkLayerUnit/CEAS set config_(elite-selection)] == 1} {\n\
puts \"non-explorer\"\n\
} elseif {[NetworkLayerUnit/CEAS set config_(elite-selection)] == 2} {\n\
puts \"all\"\n\
}\n\
puts -nonewline \"\\t-routing-loops\\t\\t\\t\"\n\
if {[NetworkLayerUnit/CEAS set config_(routing-loops)] == 0} {\n\
puts \"prevent\" \n\
} elseif {[NetworkLayerUnit/CEAS set config_(routing-loops)] == 1} {\n\
puts \"allow\"\n\
} elseif {[NetworkLayerUnit/CEAS set config_(routing-loops)] == 2} {\n\
puts \"remove-at-destination\"\n\
}\n\
puts -nonewline \"\\t-temperature-approx\\t\\t\"\n\
if {[NetworkLayerUnit/CEAS set config_(temperature-approx)] == 0} {\n\
puts \"hyperbolic\" \n\
} elseif {[NetworkLayerUnit/CEAS set config_(temperature-approx)] ==1} {\n\
puts \"linear\"\n\
}\n\
puts -nonewline \"\\t-pheromone-approx\\t\\t\"\n\
if {[NetworkLayerUnit/CEAS set config_(pheromone-approx)] == 0} {\n\
puts \"hyperbolic-2\" \n\
} elseif {[NetworkLayerUnit/CEAS set config_(pheromone-approx)] ==1} {\n\
puts \"linear-1\"\n\
} elseif {[NetworkLayerUnit/CEAS set config_(pheromone-approx)] ==2} {\n\
puts \"linear-2\"\n\
}\n\
puts \"\\t-D\\t\\t\\t\\t[NetworkLayerUnit/CEAS set config_(D)]\"\n\
puts \"\\t-rho\\t\\t\\t\\t[NetworkLayerUnit/CEAS set config_(rho)]\"\n\
puts -nonewline \"\\t-rho-reduction\\t\\t\\t\"\n\
if [NetworkLayerUnit/CEAS set config_(rho-reduction)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts \"\\t-rho-reduction-factor\\t\\t[NetworkLayerUnit/CEAS set config_(rho-reduction-factor)]\"\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc elite-selection { val } {\n\
set val [string tolower $val]\n\
if { $val==\"off\" } {\n\
NetworkLayerUnit/CEAS set config_(elite-selection) 0\n\
} elseif { $val==\"non-explorer\" } {\n\
NetworkLayerUnit/CEAS set config_(elite-selection) 1\n\
} elseif { $val==\"all\" } {\n\
NetworkLayerUnit/CEAS set config_(elite-selection) 2\n\
} else {\n\
puts stderr \"NetworkLayerUnit/CEAS::elite-selection: Error -\\\n\
Invalid value for -elite-selection ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc routing-loops { val } {\n\
set val [string tolower $val]\n\
if { $val==\"prevent\" } {\n\
NetworkLayerUnit/CEAS set config_(routing-loops) 0\n\
} elseif { $val==\"allow\" } {\n\
NetworkLayerUnit/CEAS set config_(routing-loops) 1\n\
} elseif { $val==\"remove-at-destination\" } {\n\
NetworkLayerUnit/CEAS set config_(routing-loops) 2\n\
} else {\n\
puts stderr \"NetworkLayerUnit/CEAS::routing-loops: Error -\\\n\
Invalid value for -routing-loops ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc temperature-approx { val } {\n\
set val [string tolower $val]\n\
if { $val==\"hyperbolic\" } {\n\
NetworkLayerUnit/CEAS set config_(temperature-approx) 0\n\
} elseif { $val==\"linear\" } {\n\
NetworkLayerUnit/CEAS set config_(temperature-approx) 1\n\
} else {\n\
puts stderr \"NetworkLayerUnit/CEAS::temperature-approx: Error -\\\n\
Invalid value for -temperature-approx ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc pheromone-approx { val } {\n\
set val [string tolower $val]\n\
if { $val==\"hyperbolic-2\" } {\n\
NetworkLayerUnit/CEAS set config_(pheromone-approx) 0\n\
} elseif { $val==\"linear-1\" } {\n\
NetworkLayerUnit/CEAS set config_(pheromone-approx) 1\n\
} elseif { $val==\"linear-2\" } {\n\
NetworkLayerUnit/CEAS set config_(pheromone-approx) 2\n\
} else {\n\
puts stderr \"NetworkLayerUnit/CEAS::pheromone-approx: Error -\\\n\
Invalid value for -pheromone-approx ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc D { val } {\n\
NetworkLayerUnit/CEAS set config_(D) $val\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc rho-reduction { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
NetworkLayerUnit/CEAS set config_(rho-reduction) 1\n\
} elseif { $val==\"off\" } {\n\
NetworkLayerUnit/CEAS set config_(rho-reduction) 0\n\
} else {\n\
puts stderr \"NetworkLayerUnit/CEAS::cost: Error - Invalid value for\\\n\
-rho-reduction ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc rho { val } {\n\
NetworkLayerUnit/CEAS set config_(rho) $val\n\
}\n\
\n\
NetworkLayerUnit/CEAS proc rho-reduction-factor { val } {\n\
NetworkLayerUnit/CEAS set config_(rho-reduction-factor) $val\n\
}\n\
\n\
\n\
\n\
Logger/CEAS proc init-var { cmd val } {\n\
set found 0\n\
foreach c [Logger/CEAS info subclass] {\n\
if {[$c info commands $cmd] != \"\" } {\n\
$c $cmd $val\n\
return\n\
}\n\
}\n\
if { [Logger/CEAS info commands $cmd] != \"\" } {\n\
Logger/CEAS $cmd $val\n\
return\n\
}\n\
puts stderr \"Logger/CEAS::init-var: Error - Unknown command (-log-$cmd).\"\n\
exit 1\n\
}\n\
\n\
Logger/CEAS proc dump-vars { } {\n\
foreach c [Logger/CEAS info subclass] {\n\
if { [$c info commands dump-vars] != \"\" } {\n\
$c dump-vars\n\
}\n\
}\n\
puts \"\\t-log-bin-size\\t\\t\\t[Logger/CEAS set config_(bin-size)]\"\n\
puts \"\\t-log-sample-freq\\t\\t[Logger/CEAS set config_(sample-freq)]\"\n\
puts -nonewline \"\\t-log-cost\\t\\t\\t\"\n\
if [Logger/CEAS set config_(cost)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-cost-all\\t\\t\\t\"\n\
if [Logger/CEAS set config_(cost-all)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-cost-best\\t\\t\\t\"\n\
if [Logger/CEAS set config_(cost-best)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-path\\t\\t\\t\"\n\
if [Logger/CEAS set config_(path)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-path-all\\t\\t\\t\"\n\
if [Logger/CEAS set config_(path-all)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-delay\\t\\t\\t\"\n\
if [Logger/CEAS set config_(delay)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-elite-gamma\\t\\t\"\n\
if [Logger/CEAS set config_(elite-gamma)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-total-gamma\\t\\t\"\n\
if [Logger/CEAS set config_(total-gamma)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-total-temperature-vars\\t\"\n\
if [Logger/CEAS set config_(total-temperature-vars)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-gamma-diff\\t\\t\\t\"\n\
if [Logger/CEAS set config_(gamma-diff)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-gamma-rel\\t\\t\\t\"\n\
if [Logger/CEAS set config_(gamma-rel)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-elite-selection-level\\t\"\n\
if [Logger/CEAS set config_(elite-selection-level)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-rho\\t\\t\\t\"\n\
if [Logger/CEAS set config_(rho)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-forwardcount\\t\\t\"\n\
if [Logger/CEAS set config_(forwardcount)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-backtrackcount\\t\\t\"\n\
if [Logger/CEAS set config_(backtrackcount)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-gamma-calc-count\\t\\t\"\n\
if [Logger/CEAS set config_(gamma-calc-count)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-pheromones\\t\\t\\t\"\n\
if [Logger/CEAS set config_(pheromones)] {\n\
puts \"on\" \n\
} else {\n\
puts \"off\"\n\
}\n\
puts -nonewline \"\\t-log-pheromones-id\\t\\t\"\n\
if {[Logger/CEAS set config_(pheromones-id)]==\"\"} {\n\
puts \"\\\"\\\" (all)\" \n\
} else {\n\
puts [Logger/CEAS set config_(pheromones-id)]\n\
}\n\
puts -nonewline \"\\t-log-pheromones-at\\t\\t\"\n\
if {[Logger/CEAS set config_(pheromones-at)]==\"\"} {\n\
puts \"\\\"\\\" (all)\" \n\
} else {\n\
puts [Logger/CEAS set config_(pheromones-at)]\n\
}\n\
puts -nonewline \"\\t-log-only\\t\\t\\t\"\n\
if {[Logger/CEAS set config_(only)]==\"\"} {\n\
puts \"\\\"\\\" (all)\" \n\
} else {\n\
puts [Logger/CEAS set config_(only)]\n\
}\n\
}\n\
\n\
Logger/CEAS proc bin-size { val } {\n\
Logger/CEAS set config_(bin-size) $val\n\
}\n\
\n\
Logger/CEAS proc sample-freq { val } {\n\
Logger/CEAS set config_(sample-freq) $val\n\
}\n\
\n\
Logger/CEAS proc cost { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(cost) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(cost) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::cost: Error - Invalid value for -cost ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc cost-all { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(cost-all) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(cost-all) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::cost-all: Error -\\\n\
Invalid value for -cost-all ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc cost-best { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(cost-best) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(cost-best) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::cost-best: Error -\\\n\
Invalid value for -cost-best ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc path { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(path) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(path) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::path: Error - Invalid value for -path ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc path-all { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(path-all) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(path-all) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::path-all: Error -\\\n\
Invalid value for -path-all ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc delay { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(delay) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(delay) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::delay: Error -\\\n\
Invalid value for -delay ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc elite-gamma { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(elite-gamma) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(elite-gamma) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::elite-gamma: Error -\\\n\
Invalid value for -elite-gamma ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc total-gamma { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(total-gamma) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(total-gamma) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::total-gamma: Error -\\\n\
Invalid value for -total-gamma ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc total-temperature-vars { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(total-temperature-vars) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(total-temperature-vars) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::total-temperature-vars: Error -\\\n\
Invalid value for -total-temperature-vars ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc gamma-diff { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(gamma-diff) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(gamma-diff) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::gamma-diff: Error -\\\n\
Invalid value for -gamma-diff ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc gamma-rel { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(gamma-rel) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(gamma-rel) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::gamma-rel: Error -\\\n\
Invalid value for -gamma-rel ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc elite-selection-level { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(elite-selection-level) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(elite-selection-level) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::elite-selection-level: Error -\\\n\
Invalid value for -elite-selection-level ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc rho { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(rho) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(rho) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::rho: Error - Invalid value for -rho ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc backtrackcount { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(backtrackcount) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(backtrackcount) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::backtrackcount: Error -\\\n\
Invalid value for -backtrackcount ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc forwardcount { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(forwardcount) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(forwardcount) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::forwardcount: Error -\\\n\
Invalid value for -forwardcount ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc pheromones { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(pheromones) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(pheromones) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::pheromones: Error -\\\n\
Invalid value for -pheromones ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc gamma-calc-count { val } {\n\
set val [string tolower $val]\n\
if { $val==\"on\" } {\n\
Logger/CEAS set config_(gamma-calc-count) 1\n\
} elseif { $val==\"off\" } {\n\
Logger/CEAS set config_(gamma-calc-count) 0\n\
} else {\n\
puts stderr \"Logger/CEAS::gamma-calc-count: Error -\\\n\
Invalid value for -gamma-calc-count ($val).\"\n\
exit 1\n\
}\n\
}\n\
\n\
Logger/CEAS proc pheromones-id { val } {\n\
Logger/CEAS set config_(pheromones-id) $val\n\
}\n\
\n\
Logger/CEAS proc only { val } {\n\
Logger/CEAS set config_(only) $val\n\
}\n\
\n\
Logger/CEAS proc pheromones-at { val } {\n\
Logger/CEAS set config_(pheromones-at) $val\n\
}\n\
";
#include "tclcl.h"
EmbeddedTcl CEAScommonTclCode(code);
