dnl Copyright (c) 2008 Q2S NTNU, Trondheim, Norway
dnl All rights reserved.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License version 2 as
dnl published by the Free Software Foundation;
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
dnl
dnl Author: Laurent Paquereau <laurent.paquereau@q2s.ntnu.no>
dnl
dnl $Header$

AC_DEFUN([AC_DEBUG], [

DEBUG_ENABLED=no
AC_ARG_ENABLE([debug],
        [AC_HELP_STRING([--enable-debug],
                        [enable debug data generation (default=no)])],
        [
            DEBUG_ENABLED="$enableval"
        ])

if test x"$DEBUG_ENABLED" = x"yes"; then
        CPPFLAGS="$CPPFLAGS -g -Wall -Werror"
fi	

AC_MSG_RESULT([enable debug: $DEBUG_ENABLED])

])
