dnl Copyright (c) 2008 Q2S NTNU, Trondheim, Norway
dnl All rights reserved.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License version 2 as
dnl published by the Free Software Foundation;
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
dnl
dnl Author: Laurent Paquereau <laurent.paquereau@q2s.ntnu.no>
dnl
dnl $Header$

AC_DEFUN([AC_SET_FLAGS],[

NS_CPPFLAGS="-I$NSALLINONEDIR/include -I$NSDIR -I$TCLCLDIR -I$OTCLDIR -I$NSDIR/mac -I$NSDIR/mobile -I$NSDIR/tcp -I$NSDIR/common -I$NSDIR/link -I$NSDIR/queue -I$NSDIR/trace -I$NSDIR/apps -I$NSDIR/routing -I$NSDIR/tools -I$NSDIR/classifier"

AC_MSG_CHECKING([for NS_LDFLAGS and NS_LIBADD type])
system=`uname -s`

case $system in 

    CYGWIN*)
	AC_MSG_RESULT([cygwin])
	echo "running cygwin"
	NS_LDFLAGS=" -shared -no-undefined -L${NSDIR} -Wl,--export-all-symbols -Wl,--enable-auto-import  -Wl,--whole-archive  "	
	NS_LIBADD=" -lns"
	;;

    *)
	AC_MSG_RESULT([none needed])
	dnl OK for linux, should be fine for unix in general
	NS_LDFLAGS=""	
	NS_LIBADD=""
	;;

esac

AC_SUBST(NS_LDFLAGS)
AC_SUBST(NS_LIBADD)
AC_SUBST(NS_CPPFLAGS)

DOLLAR="$"
Q2S_DIRS="[$DOLLAR](filter-out $NSDIR/q2s_doc $NSDIR/q2s_tcl,[$DOLLAR](wildcard $NSDIR/q2s_*))"
Q2S_INCLUDES="[$DOLLAR](foreach d,[$DOLLAR](Q2S_DIRS),[$DOLLAR](patsubst %,-I%,[$DOLLAR](d)))"
AC_SUBST(Q2S_DIRS)
AC_SUBST(Q2S_INCLUDES)

])



