dnl Copyright (c) 2008 Q2S NTNU, Trondheim, Norway
dnl All rights reserved.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License version 2 as
dnl published by the Free Software Foundation;
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
dnl
dnl Author: Laurent Paquereau <laurent.paquereau@q2s.ntnu.no>
dnl
dnl $Header$

AC_DEFUN([AC_NSALLINONEDIR], [

AC_ARG_WITH([ns-allinone],
	[AS_HELP_STRING([--with-ns-allinone=<directory>],
			[use ns-allinone installation in <directory>, where it is expected to find ns, tcl, otcl and tclcl subdirs (default is prefix guessed from the path to ns if ns is in PATH, /usr/local otherwise)])],
	[
	    if test ! -d $withval 
		then
		AC_MSG_ERROR([ns-allinone path $withval is not valid])
	    else
		NSALLINONEDIR=$withval
		NSALLINONE_DISTCHECK_CONFIGURE_FLAGS="--with-ns-allinone=$withval"
		AC_SUBST(NSALLINONE_DISTCHECK_CONFIGURE_FLAGS)
	    fi
	])

dnl default: use prefix guessed from the path to ns if ns is in PATH, /usr/local otherwise
if test x$NSALLINONEDIR = x ;    then
	NSALLINONEDIR=$prefix
fi

AC_MSG_RESULT([setting NSALLINONEDIR to $NSALLINONEDIR])

])
