dnl Copyright (c) 2008 Q2S NTNU, Trondheim, Norway
dnl All rights reserved.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License version 2 as
dnl published by the Free Software Foundation;
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
dnl
dnl Author: Laurent Paquereau <laurent.paquereau@q2s.ntnu.no>
dnl
dnl $Header$

dnl --with-otcl option. This is to be able to specify a given otcl directory

AC_DEFUN([AC_OTCLDIR], [

AC_ARG_WITH([otcl],
	[AC_HELP_STRING([--with-otcl=<dir>],
			[use otcl installation in <directory> (default is guessed from NSALLINONEDIR)])],
	[
	    if test ! -d $withval 
		then
		AC_MSG_ERROR([otcl directory $withval is not valid])
	    else
		OTCLDIR=$withval
		OTCL_DISTCHECK_CONFIGURE_FLAGS="--with-otcl=$withval"
		AC_SUBST(OTCL_DISTCHECK_CONFIGURE_FLAGS)

	    fi
	])

if test x$OTCLDIR = x ;    then
	OTCLDIR=$NSALLINONEDIR/`cd $NSALLINONEDIR; ls -d otcl-* | head -n 1`
fi

AC_MSG_RESULT([setting OTCLDIR to $OTCLDIR])

])
