proc create_net {} {
	global ns_
	global NumNodes
	global node
	global network_layer_type
	global network_layer_unit

	set ns_ [Simulator instance]    

	set NumNodes 58
	set i 0
	while {$i < $NumNodes } {
		set nodes_($i) [$ns_ node]
		set network_layer_units_($i) [new NetworkLayerUnit/$network_layer_type $nodes_($i)]
		incr i
	}

	$nodes_(0) label aho
	$nodes_(0) label-at NORTH
	
	$nodes_(1) label alesund
	$nodes_(1) label-at NORTH
	
	$nodes_(2) label as
	$nodes_(2) label-at NORTH
	
	$nodes_(3) label arendal
	$nodes_(3) label-at NORTH
	
	$nodes_(4) label bergen-BT
	$nodes_(4) label-at NORTH
	
	$nodes_(5) label bergen-HTS
	$nodes_(5) label-at NORTH
	
	$nodes_(6) label bo
	$nodes_(6) label-at NORTH
	
	$nodes_(7) label bodo
	$nodes_(7) label-at NORTH
	
	$nodes_(8) label drammen
	$nodes_(8) label-at NORTH
	
	$nodes_(9) label elverum
	$nodes_(9) label-at NORTH
	
	$nodes_(10) label evenstad
	$nodes_(10) label-at NORTH
	
	$nodes_(11) label forde
	$nodes_(11) label-at NORTH
	
	$nodes_(12) label fredrikstad
	$nodes_(12) label-at NORTH
	
	$nodes_(13) label gjovik
	$nodes_(13) label-at NORTH
	
	$nodes_(14) label grimstad
	$nodes_(14) label-at NORTH
	
	$nodes_(15) label halden
	$nodes_(15) label-at NORTH
	
	$nodes_(16) label hamar
	$nodes_(16) label-at NORTH
	
	$nodes_(17) label harstad-gw
	$nodes_(17) label-at NORTH
	
	$nodes_(18) label harstad-gw3
	$nodes_(18) label-at NORTH
	
	$nodes_(19) label haugesund
	$nodes_(19) label-at NORTH
	
	$nodes_(20) label hitos
	$nodes_(20) label-at NORTH
	
	$nodes_(21) label hist
	$nodes_(21) label-at NORTH
	
	$nodes_(22) label honefoss
	$nodes_(22) label-at NORTH
	
	$nodes_(23) label kjeller
	$nodes_(23) label-at NORTH
	
	$nodes_(24) label kongsberg
	$nodes_(24) label-at NORTH
	
	$nodes_(25) label kristiansand
	$nodes_(25) label-at NORTH
	
	$nodes_(26) label kristiansund
	$nodes_(26) label-at NORTH

	$nodes_(27) label levanger
	$nodes_(27) label-at NORTH

	$nodes_(28) label lillehammer
	$nodes_(28) label-at NORTH

	$nodes_(29) label mo
	$nodes_(29) label-at NORTH

	$nodes_(30) label molde
	$nodes_(30) label-at NORTH
	
	$nodes_(31) label namsos
	$nodes_(31) label-at NORTH
	
	$nodes_(32) label narvik
	$nodes_(32) label-at NORTH
	
	$nodes_(33) label nygardsgt
	$nodes_(33) label-at NORTH
	
	$nodes_(34) label oslo-gw1
	$nodes_(34) label-at NORTH
	
	$nodes_(35) label oslo-gw2
	$nodes_(35) label-at NORTH
	
	$nodes_(36) label pil52
	$nodes_(36) label-at NORTH
	
	$nodes_(37) label porsgrunn
	$nodes_(37) label-at NORTH
	
	$nodes_(38) label rena
	$nodes_(38) label-at NORTH
	
	$nodes_(39) label sarpsborg
	$nodes_(39) label-at NORTH
	
	$nodes_(40) label seilduk
	$nodes_(40) label-at NORTH
	
	$nodes_(41) label sogndal
	$nodes_(41) label-at NORTH
	
	$nodes_(42) label stavanger
	$nodes_(42) label-at NORTH
	
	$nodes_(43) label steinkjer
	$nodes_(43) label-at NORTH
	
	$nodes_(44) label stjordal
	$nodes_(44) label-at NORTH
	
	$nodes_(45) label stolavspl
	$nodes_(45) label-at NORTH
	
	$nodes_(46) label stord
	$nodes_(46) label-at NORTH
	
	$nodes_(47) label svalbard-gw
	$nodes_(47) label-at NORTH
	
	$nodes_(48) label svalbard-gw2
	$nodes_(48) label-at NORTH
	
	$nodes_(49) label teknobyen
	$nodes_(49) label-at NORTH
	
	$nodes_(50) label trd-real
	$nodes_(50) label-at NORTH
	
	$nodes_(51) label trd-hvd
	$nodes_(51) label-at NORTH
	
	$nodes_(52) label tromso-gw2
	$nodes_(52) label-at NORTH
	
	$nodes_(53) label tromso-gw3
	$nodes_(53) label-at NORTH
	
	$nodes_(54) label tromso-gw
	$nodes_(54) label-at NORTH
	
	$nodes_(55) label tynset
	$nodes_(55) label-at NORTH
	
	$nodes_(56) label veths
	$nodes_(56) label-at NORTH
	
	$nodes_(57) label volda
	$nodes_(57) label-at NORTH

	set iface_(24,22) [$nodes_(24) add-interface PointToPoint $network_layer_units_(24)]
	set iface_(22,24) [$nodes_(22) add-interface PointToPoint $network_layer_units_(22)]
	$ns_ add-simplex-link $iface_(24,22) $iface_(22,24) 1000000000 1ms DropTail
	$ns_ cost $nodes_(24) $nodes_(22) 10
	$ns_ simplex-link-op $nodes_(24) $nodes_(22) dynamic
	set iface_(24,8) [$nodes_(24) add-interface PointToPoint $network_layer_units_(24)]
	set iface_(8,24) [$nodes_(8) add-interface PointToPoint $network_layer_units_(8)]
	$ns_ add-simplex-link $iface_(24,8) $iface_(8,24) 1000000000 1ms DropTail
	$ns_ cost $nodes_(24) $nodes_(8) 20
	$ns_ simplex-link-op $nodes_(24) $nodes_(8) dynamic
	set iface_(0,40) [$nodes_(0) add-interface PointToPoint $network_layer_units_(0)]
	set iface_(40,0) [$nodes_(40) add-interface PointToPoint $network_layer_units_(40)]
	$ns_ add-simplex-link $iface_(0,40) $iface_(40,0) 100000000 1ms DropTail
	$ns_ cost $nodes_(0) $nodes_(40) 10
	$ns_ simplex-link-op $nodes_(0) $nodes_(40) dynamic
	set iface_(0,45) [$nodes_(0) add-interface PointToPoint $network_layer_units_(0)]
	set iface_(45,0) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(0,45) $iface_(45,0) 100000000 1ms DropTail
	$ns_ cost $nodes_(0) $nodes_(45) 10
	$ns_ simplex-link-op $nodes_(0) $nodes_(45) dynamic
	set iface_(30,1) [$nodes_(30) add-interface PointToPoint $network_layer_units_(30)]
	set iface_(1,30) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	$ns_ add-simplex-link $iface_(30,1) $iface_(1,30) 1000000000 1ms DropTail
	$ns_ cost $nodes_(30) $nodes_(1) 20
	$ns_ simplex-link-op $nodes_(30) $nodes_(1) dynamic
	set iface_(30,26) [$nodes_(30) add-interface PointToPoint $network_layer_units_(30)]
	set iface_(26,30) [$nodes_(26) add-interface PointToPoint $network_layer_units_(26)]
	$ns_ add-simplex-link $iface_(30,26) $iface_(26,30) 155000000 1ms DropTail
	$ns_ cost $nodes_(30) $nodes_(26) 20
	$ns_ simplex-link-op $nodes_(30) $nodes_(26) dynamic
	set iface_(52,20) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	set iface_(20,52) [$nodes_(20) add-interface PointToPoint $network_layer_units_(20)]
	$ns_ add-simplex-link $iface_(52,20) $iface_(20,52) 155000000 1ms DropTail
	$ns_ cost $nodes_(52) $nodes_(20) 20
	$ns_ simplex-link-op $nodes_(52) $nodes_(20) dynamic
	set iface_(52,54) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	set iface_(54,52) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	$ns_ add-simplex-link $iface_(52,54) $iface_(54,52) 1000000000 1ms DropTail
	$ns_ cost $nodes_(52) $nodes_(54) 1
	$ns_ simplex-link-op $nodes_(52) $nodes_(54) dynamic
	set iface_(52,32) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	set iface_(32,52) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	$ns_ add-simplex-link $iface_(52,32) $iface_(32,52) 155000000 1ms DropTail
	$ns_ cost $nodes_(52) $nodes_(32) 30
	$ns_ simplex-link-op $nodes_(52) $nodes_(32) dynamic
	set iface_(3,37) [$nodes_(3) add-interface PointToPoint $network_layer_units_(3)]
	set iface_(37,3) [$nodes_(37) add-interface PointToPoint $network_layer_units_(37)]
	$ns_ add-simplex-link $iface_(3,37) $iface_(37,3) 155000000 1ms DropTail
	$ns_ cost $nodes_(3) $nodes_(37) 20
	$ns_ simplex-link-op $nodes_(3) $nodes_(37) dynamic
	set iface_(3,14) [$nodes_(3) add-interface PointToPoint $network_layer_units_(3)]
	set iface_(14,3) [$nodes_(14) add-interface PointToPoint $network_layer_units_(14)]
	$ns_ add-simplex-link $iface_(3,14) $iface_(14,3) 155000000 1ms DropTail
	$ns_ cost $nodes_(3) $nodes_(14) 5
	$ns_ simplex-link-op $nodes_(3) $nodes_(14) dynamic
	set iface_(40,0) [$nodes_(40) add-interface PointToPoint $network_layer_units_(40)]
	set iface_(0,40) [$nodes_(0) add-interface PointToPoint $network_layer_units_(0)]
	$ns_ add-simplex-link $iface_(40,0) $iface_(0,40) 100000000 1ms DropTail
	$ns_ cost $nodes_(40) $nodes_(0) 10
	$ns_ simplex-link-op $nodes_(40) $nodes_(0) dynamic
	set iface_(40,34) [$nodes_(40) add-interface PointToPoint $network_layer_units_(40)]
	set iface_(34,40) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(40,34) $iface_(34,40) 100000000 1ms DropTail
	$ns_ cost $nodes_(40) $nodes_(34) 10
	$ns_ simplex-link-op $nodes_(40) $nodes_(34) dynamic
	set iface_(39,34) [$nodes_(39) add-interface PointToPoint $network_layer_units_(39)]
	set iface_(34,39) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(39,34) $iface_(34,39) 1000000000 1ms DropTail
	$ns_ cost $nodes_(39) $nodes_(34) 10
	$ns_ simplex-link-op $nodes_(39) $nodes_(34) dynamic
	set iface_(39,15) [$nodes_(39) add-interface PointToPoint $network_layer_units_(39)]
	set iface_(15,39) [$nodes_(15) add-interface PointToPoint $network_layer_units_(15)]
	$ns_ add-simplex-link $iface_(39,15) $iface_(15,39) 1000000000 1ms DropTail
	$ns_ cost $nodes_(39) $nodes_(15) 10
	$ns_ simplex-link-op $nodes_(39) $nodes_(15) dynamic
	set iface_(31,43) [$nodes_(31) add-interface PointToPoint $network_layer_units_(31)]
	set iface_(43,31) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	$ns_ add-simplex-link $iface_(31,43) $iface_(43,31) 155000000 1ms DropTail
	$ns_ cost $nodes_(31) $nodes_(43) 20
	$ns_ simplex-link-op $nodes_(31) $nodes_(43) dynamic
	set iface_(31,29) [$nodes_(31) add-interface PointToPoint $network_layer_units_(31)]
	set iface_(29,31) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	$ns_ add-simplex-link $iface_(31,29) $iface_(29,31) 155000000 1ms DropTail
	$ns_ cost $nodes_(31) $nodes_(29) 25
	$ns_ simplex-link-op $nodes_(31) $nodes_(29) dynamic
	set iface_(9,34) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	set iface_(34,9) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(9,34) $iface_(34,9) 1000000000 1ms DropTail
	$ns_ cost $nodes_(9) $nodes_(34) 20
	$ns_ simplex-link-op $nodes_(9) $nodes_(34) dynamic
	set iface_(9,38) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	set iface_(38,9) [$nodes_(38) add-interface PointToPoint $network_layer_units_(38)]
	$ns_ add-simplex-link $iface_(9,38) $iface_(38,9) 1000000000 1ms DropTail
	$ns_ cost $nodes_(9) $nodes_(38) 10
	$ns_ simplex-link-op $nodes_(9) $nodes_(38) dynamic
	set iface_(9,16) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	set iface_(16,9) [$nodes_(16) add-interface PointToPoint $network_layer_units_(16)]
	$ns_ add-simplex-link $iface_(9,16) $iface_(16,9) 1000000000 1ms DropTail
	$ns_ cost $nodes_(9) $nodes_(16) 10
	$ns_ simplex-link-op $nodes_(9) $nodes_(16) dynamic
	set iface_(22,24) [$nodes_(22) add-interface PointToPoint $network_layer_units_(22)]
	set iface_(24,22) [$nodes_(24) add-interface PointToPoint $network_layer_units_(24)]
	$ns_ add-simplex-link $iface_(22,24) $iface_(24,22) 1000000000 1ms DropTail
	$ns_ cost $nodes_(22) $nodes_(24) 10
	$ns_ simplex-link-op $nodes_(22) $nodes_(24) dynamic
	set iface_(22,23) [$nodes_(22) add-interface PointToPoint $network_layer_units_(22)]
	set iface_(23,22) [$nodes_(23) add-interface PointToPoint $network_layer_units_(23)]
	$ns_ add-simplex-link $iface_(22,23) $iface_(23,22) 1000000000 1ms DropTail
	$ns_ cost $nodes_(22) $nodes_(23) 30
	$ns_ simplex-link-op $nodes_(22) $nodes_(23) dynamic
	set iface_(8,24) [$nodes_(8) add-interface PointToPoint $network_layer_units_(8)]
	set iface_(24,8) [$nodes_(24) add-interface PointToPoint $network_layer_units_(24)]
	$ns_ add-simplex-link $iface_(8,24) $iface_(24,8) 1000000000 1ms DropTail
	$ns_ cost $nodes_(8) $nodes_(24) 20
	$ns_ simplex-link-op $nodes_(8) $nodes_(24) dynamic
	set iface_(8,45) [$nodes_(8) add-interface PointToPoint $network_layer_units_(8)]
	set iface_(45,8) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(8,45) $iface_(45,8) 1000000000 1ms DropTail
	$ns_ cost $nodes_(8) $nodes_(45) 10
	$ns_ simplex-link-op $nodes_(8) $nodes_(45) dynamic
	set iface_(34,40) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(40,34) [$nodes_(40) add-interface PointToPoint $network_layer_units_(40)]
	$ns_ add-simplex-link $iface_(34,40) $iface_(40,34) 100000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(40) 10
	$ns_ simplex-link-op $nodes_(34) $nodes_(40) dynamic
	set iface_(34,39) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(39,34) [$nodes_(39) add-interface PointToPoint $network_layer_units_(39)]
	$ns_ add-simplex-link $iface_(34,39) $iface_(39,34) 1000000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(39) 10
	$ns_ simplex-link-op $nodes_(34) $nodes_(39) dynamic
	set iface_(34,9) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(9,34) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	$ns_ add-simplex-link $iface_(34,9) $iface_(9,34) 1000000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(9) 20
	$ns_ simplex-link-op $nodes_(34) $nodes_(9) dynamic
	set iface_(34,6) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(6,34) [$nodes_(6) add-interface PointToPoint $network_layer_units_(6)]
	$ns_ add-simplex-link $iface_(34,6) $iface_(6,34) 1000000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(6) 15
	$ns_ simplex-link-op $nodes_(34) $nodes_(6) dynamic
	set iface_(34,45) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(45,34) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(34,45) $iface_(45,34) 2488000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(45) 1
	$ns_ simplex-link-op $nodes_(34) $nodes_(45) dynamic
	set iface_(34,56) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(56,34) [$nodes_(56) add-interface PointToPoint $network_layer_units_(56)]
	$ns_ add-simplex-link $iface_(34,56) $iface_(56,34) 1000000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(56) 10
	$ns_ simplex-link-op $nodes_(34) $nodes_(56) dynamic
	set iface_(34,50) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(50,34) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(34,50) $iface_(50,34) 2488000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(50) 20
	$ns_ simplex-link-op $nodes_(34) $nodes_(50) dynamic
	set iface_(34,35) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	set iface_(35,34) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	$ns_ add-simplex-link $iface_(34,35) $iface_(35,34) 2488000000 1ms DropTail
	$ns_ cost $nodes_(34) $nodes_(35) 1
	$ns_ simplex-link-op $nodes_(34) $nodes_(35) dynamic
	set iface_(27,43) [$nodes_(27) add-interface PointToPoint $network_layer_units_(27)]
	set iface_(43,27) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	$ns_ add-simplex-link $iface_(27,43) $iface_(43,27) 1000000000 1ms DropTail
	$ns_ cost $nodes_(27) $nodes_(43) 20
	$ns_ simplex-link-op $nodes_(27) $nodes_(43) dynamic
	set iface_(27,44) [$nodes_(27) add-interface PointToPoint $network_layer_units_(27)]
	set iface_(44,27) [$nodes_(44) add-interface PointToPoint $network_layer_units_(44)]
	$ns_ add-simplex-link $iface_(27,44) $iface_(44,27) 1000000000 1ms DropTail
	$ns_ cost $nodes_(27) $nodes_(44) 20
	$ns_ simplex-link-op $nodes_(27) $nodes_(44) dynamic
	set iface_(38,9) [$nodes_(38) add-interface PointToPoint $network_layer_units_(38)]
	set iface_(9,38) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	$ns_ add-simplex-link $iface_(38,9) $iface_(9,38) 1000000000 1ms DropTail
	$ns_ cost $nodes_(38) $nodes_(9) 10
	$ns_ simplex-link-op $nodes_(38) $nodes_(9) dynamic
	set iface_(38,10) [$nodes_(38) add-interface PointToPoint $network_layer_units_(38)]
	set iface_(10,38) [$nodes_(10) add-interface PointToPoint $network_layer_units_(10)]
	$ns_ add-simplex-link $iface_(38,10) $iface_(10,38) 140000000 1ms DropTail
	$ns_ cost $nodes_(38) $nodes_(10) 10
	$ns_ simplex-link-op $nodes_(38) $nodes_(10) dynamic
	set iface_(4,42) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	set iface_(42,4) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	$ns_ add-simplex-link $iface_(4,42) $iface_(42,4) 2488000000 1ms DropTail
	$ns_ cost $nodes_(4) $nodes_(42) 13
	$ns_ simplex-link-op $nodes_(4) $nodes_(42) dynamic
	set iface_(4,5) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	set iface_(5,4) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	$ns_ add-simplex-link $iface_(4,5) $iface_(5,4) 2488000000 1ms DropTail
	$ns_ cost $nodes_(4) $nodes_(5) 1
	$ns_ simplex-link-op $nodes_(4) $nodes_(5) dynamic
	set iface_(4,35) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	set iface_(35,4) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	$ns_ add-simplex-link $iface_(4,35) $iface_(35,4) 2488000000 1ms DropTail
	$ns_ cost $nodes_(4) $nodes_(35) 25
	$ns_ simplex-link-op $nodes_(4) $nodes_(35) dynamic
	set iface_(4,33) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	set iface_(33,4) [$nodes_(33) add-interface PointToPoint $network_layer_units_(33)]
	$ns_ add-simplex-link $iface_(4,33) $iface_(33,4) 1000000000 1ms DropTail
	$ns_ cost $nodes_(4) $nodes_(33) 30
	$ns_ simplex-link-op $nodes_(4) $nodes_(33) dynamic
	set iface_(17,47) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	set iface_(47,17) [$nodes_(47) add-interface PointToPoint $network_layer_units_(47)]
	$ns_ add-simplex-link $iface_(17,47) $iface_(47,17) 1000000000 1ms DropTail
	$ns_ cost $nodes_(17) $nodes_(47) 1
	$ns_ simplex-link-op $nodes_(17) $nodes_(47) dynamic
	set iface_(17,7) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	set iface_(7,17) [$nodes_(7) add-interface PointToPoint $network_layer_units_(7)]
	$ns_ add-simplex-link $iface_(17,7) $iface_(7,17) 155000000 1ms DropTail
	$ns_ cost $nodes_(17) $nodes_(7) 11
	$ns_ simplex-link-op $nodes_(17) $nodes_(7) dynamic
	set iface_(17,18) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	set iface_(18,17) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	$ns_ add-simplex-link $iface_(17,18) $iface_(18,17) 1000000000 1ms DropTail
	$ns_ cost $nodes_(17) $nodes_(18) 1
	$ns_ simplex-link-op $nodes_(17) $nodes_(18) dynamic
	set iface_(42,4) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	set iface_(4,42) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	$ns_ add-simplex-link $iface_(42,4) $iface_(4,42) 2488000000 1ms DropTail
	$ns_ cost $nodes_(42) $nodes_(4) 13
	$ns_ simplex-link-op $nodes_(42) $nodes_(4) dynamic
	set iface_(42,19) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	set iface_(19,42) [$nodes_(19) add-interface PointToPoint $network_layer_units_(19)]
	$ns_ add-simplex-link $iface_(42,19) $iface_(19,42) 1000000000 1ms DropTail
	$ns_ cost $nodes_(42) $nodes_(19) 20
	$ns_ simplex-link-op $nodes_(42) $nodes_(19) dynamic
	set iface_(42,25) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	set iface_(25,42) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	$ns_ add-simplex-link $iface_(42,25) $iface_(25,42) 2488000000 1ms DropTail
	$ns_ cost $nodes_(42) $nodes_(25) 12
	$ns_ simplex-link-op $nodes_(42) $nodes_(25) dynamic
	set iface_(43,31) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	set iface_(31,43) [$nodes_(31) add-interface PointToPoint $network_layer_units_(31)]
	$ns_ add-simplex-link $iface_(43,31) $iface_(31,43) 155000000 1ms DropTail
	$ns_ cost $nodes_(43) $nodes_(31) 20
	$ns_ simplex-link-op $nodes_(43) $nodes_(31) dynamic
	set iface_(43,27) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	set iface_(27,43) [$nodes_(27) add-interface PointToPoint $network_layer_units_(27)]
	$ns_ add-simplex-link $iface_(43,27) $iface_(27,43) 1000000000 1ms DropTail
	$ns_ cost $nodes_(43) $nodes_(27) 20
	$ns_ simplex-link-op $nodes_(43) $nodes_(27) dynamic
	set iface_(43,51) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	set iface_(51,43) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(43,51) $iface_(51,43) 1000000000 1ms DropTail
	$ns_ cost $nodes_(43) $nodes_(51) 20
	$ns_ simplex-link-op $nodes_(43) $nodes_(51) dynamic
	set iface_(6,34) [$nodes_(6) add-interface PointToPoint $network_layer_units_(6)]
	set iface_(34,6) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(6,34) $iface_(34,6) 1000000000 1ms DropTail
	$ns_ cost $nodes_(6) $nodes_(34) 15
	$ns_ simplex-link-op $nodes_(6) $nodes_(34) dynamic
	set iface_(6,37) [$nodes_(6) add-interface PointToPoint $network_layer_units_(6)]
	set iface_(37,6) [$nodes_(37) add-interface PointToPoint $network_layer_units_(37)]
	$ns_ add-simplex-link $iface_(6,37) $iface_(37,6) 1000000000 1ms DropTail
	$ns_ cost $nodes_(6) $nodes_(37) 10
	$ns_ simplex-link-op $nodes_(6) $nodes_(37) dynamic
	set iface_(45,0) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(0,45) [$nodes_(0) add-interface PointToPoint $network_layer_units_(0)]
	$ns_ add-simplex-link $iface_(45,0) $iface_(0,45) 100000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(0) 10
	$ns_ simplex-link-op $nodes_(45) $nodes_(0) dynamic
	set iface_(45,8) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(8,45) [$nodes_(8) add-interface PointToPoint $network_layer_units_(8)]
	$ns_ add-simplex-link $iface_(45,8) $iface_(8,45) 1000000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(8) 10
	$ns_ simplex-link-op $nodes_(45) $nodes_(8) dynamic
	set iface_(45,34) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(34,45) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(45,34) $iface_(34,45) 2488000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(34) 1
	$ns_ simplex-link-op $nodes_(45) $nodes_(34) dynamic
	set iface_(45,35) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(35,45) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	$ns_ add-simplex-link $iface_(45,35) $iface_(35,45) 2488000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(35) 1
	$ns_ simplex-link-op $nodes_(45) $nodes_(35) dynamic
	set iface_(45,25) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(25,45) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	$ns_ add-simplex-link $iface_(45,25) $iface_(25,45) 2488000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(25) 13
	$ns_ simplex-link-op $nodes_(45) $nodes_(25) dynamic
	set iface_(45,13) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(13,45) [$nodes_(13) add-interface PointToPoint $network_layer_units_(13)]
	$ns_ add-simplex-link $iface_(45,13) $iface_(13,45) 1000000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(13) 10
	$ns_ simplex-link-op $nodes_(45) $nodes_(13) dynamic
	set iface_(45,36) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	set iface_(36,45) [$nodes_(36) add-interface PointToPoint $network_layer_units_(36)]
	$ns_ add-simplex-link $iface_(45,36) $iface_(36,45) 1000000000 1ms DropTail
	$ns_ cost $nodes_(45) $nodes_(36) 10
	$ns_ simplex-link-op $nodes_(45) $nodes_(36) dynamic
	set iface_(20,52) [$nodes_(20) add-interface PointToPoint $network_layer_units_(20)]
	set iface_(52,20) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	$ns_ add-simplex-link $iface_(20,52) $iface_(52,20) 155000000 1ms DropTail
	$ns_ cost $nodes_(20) $nodes_(52) 20
	$ns_ simplex-link-op $nodes_(20) $nodes_(52) dynamic
	set iface_(20,54) [$nodes_(20) add-interface PointToPoint $network_layer_units_(20)]
	set iface_(54,20) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	$ns_ add-simplex-link $iface_(20,54) $iface_(54,20) 1000000000 1ms DropTail
	$ns_ cost $nodes_(20) $nodes_(54) 20
	$ns_ simplex-link-op $nodes_(20) $nodes_(54) dynamic
	set iface_(41,5) [$nodes_(41) add-interface PointToPoint $network_layer_units_(41)]
	set iface_(5,41) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	$ns_ add-simplex-link $iface_(41,5) $iface_(5,41) 34000000 1ms DropTail
	$ns_ cost $nodes_(41) $nodes_(5) 20
	$ns_ simplex-link-op $nodes_(41) $nodes_(5) dynamic
	set iface_(41,11) [$nodes_(41) add-interface PointToPoint $network_layer_units_(41)]
	set iface_(11,41) [$nodes_(11) add-interface PointToPoint $network_layer_units_(11)]
	$ns_ add-simplex-link $iface_(41,11) $iface_(11,41) 32000000 1ms DropTail
	$ns_ cost $nodes_(41) $nodes_(11) 20
	$ns_ simplex-link-op $nodes_(41) $nodes_(11) dynamic
	set iface_(1,30) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	set iface_(30,1) [$nodes_(30) add-interface PointToPoint $network_layer_units_(30)]
	$ns_ add-simplex-link $iface_(1,30) $iface_(30,1) 1000000000 1ms DropTail
	$ns_ cost $nodes_(1) $nodes_(30) 20
	$ns_ simplex-link-op $nodes_(1) $nodes_(30) dynamic
	set iface_(1,5) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	set iface_(5,1) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	$ns_ add-simplex-link $iface_(1,5) $iface_(5,1) 2488000000 1ms DropTail
	$ns_ cost $nodes_(1) $nodes_(5) 5
	$ns_ simplex-link-op $nodes_(1) $nodes_(5) dynamic
	set iface_(1,51) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	set iface_(51,1) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(1,51) $iface_(51,1) 2488000000 1ms DropTail
	$ns_ cost $nodes_(1) $nodes_(51) 25
	$ns_ simplex-link-op $nodes_(1) $nodes_(51) dynamic
	set iface_(1,57) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	set iface_(57,1) [$nodes_(57) add-interface PointToPoint $network_layer_units_(57)]
	$ns_ add-simplex-link $iface_(1,57) $iface_(57,1) 1000000000 1ms DropTail
	$ns_ cost $nodes_(1) $nodes_(57) 20
	$ns_ simplex-link-op $nodes_(1) $nodes_(57) dynamic
	set iface_(29,31) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	set iface_(31,29) [$nodes_(31) add-interface PointToPoint $network_layer_units_(31)]
	$ns_ add-simplex-link $iface_(29,31) $iface_(31,29) 155000000 1ms DropTail
	$ns_ cost $nodes_(29) $nodes_(31) 25
	$ns_ simplex-link-op $nodes_(29) $nodes_(31) dynamic
	set iface_(29,50) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	set iface_(50,29) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(29,50) $iface_(50,29) 155000000 1ms DropTail
	$ns_ cost $nodes_(29) $nodes_(50) 20
	$ns_ simplex-link-op $nodes_(29) $nodes_(50) dynamic
	set iface_(29,7) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	set iface_(7,29) [$nodes_(7) add-interface PointToPoint $network_layer_units_(7)]
	$ns_ add-simplex-link $iface_(29,7) $iface_(7,29) 155000000 1ms DropTail
	$ns_ cost $nodes_(29) $nodes_(7) 25
	$ns_ simplex-link-op $nodes_(29) $nodes_(7) dynamic
	set iface_(56,34) [$nodes_(56) add-interface PointToPoint $network_layer_units_(56)]
	set iface_(34,56) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(56,34) $iface_(34,56) 1000000000 1ms DropTail
	$ns_ cost $nodes_(56) $nodes_(34) 10
	$ns_ simplex-link-op $nodes_(56) $nodes_(34) dynamic
	set iface_(56,36) [$nodes_(56) add-interface PointToPoint $network_layer_units_(56)]
	set iface_(36,56) [$nodes_(36) add-interface PointToPoint $network_layer_units_(36)]
	$ns_ add-simplex-link $iface_(56,36) $iface_(36,56) 1000000000 1ms DropTail
	$ns_ cost $nodes_(56) $nodes_(36) 10
	$ns_ simplex-link-op $nodes_(56) $nodes_(36) dynamic
	set iface_(50,34) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(34,50) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(50,34) $iface_(34,50) 2488000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(34) 20
	$ns_ simplex-link-op $nodes_(50) $nodes_(34) dynamic
	set iface_(50,29) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(29,50) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	$ns_ add-simplex-link $iface_(50,29) $iface_(29,50) 155000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(29) 20
	$ns_ simplex-link-op $nodes_(50) $nodes_(29) dynamic
	set iface_(50,49) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(49,50) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(50,49) $iface_(49,50) 1000000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(49) 1
	$ns_ simplex-link-op $nodes_(50) $nodes_(49) dynamic
	set iface_(50,54) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(54,50) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	$ns_ add-simplex-link $iface_(50,54) $iface_(54,50) 2488000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(54) 12
	$ns_ simplex-link-op $nodes_(50) $nodes_(54) dynamic
	set iface_(50,51) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(51,50) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(50,51) $iface_(51,50) 4976000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(51) 1
	$ns_ simplex-link-op $nodes_(50) $nodes_(51) dynamic
	set iface_(50,44) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	set iface_(44,50) [$nodes_(44) add-interface PointToPoint $network_layer_units_(44)]
	$ns_ add-simplex-link $iface_(50,44) $iface_(44,50) 1000000000 1ms DropTail
	$ns_ cost $nodes_(50) $nodes_(44) 20
	$ns_ simplex-link-op $nodes_(50) $nodes_(44) dynamic
	set iface_(53,54) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	set iface_(54,53) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	$ns_ add-simplex-link $iface_(53,54) $iface_(54,53) 2488000000 1ms DropTail
	$ns_ cost $nodes_(53) $nodes_(54) 1
	$ns_ simplex-link-op $nodes_(53) $nodes_(54) dynamic
	set iface_(53,51) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	set iface_(51,53) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(53,51) $iface_(51,53) 10000000000 1ms DropTail
	$ns_ cost $nodes_(53) $nodes_(51) 41
	$ns_ simplex-link-op $nodes_(53) $nodes_(51) dynamic
	set iface_(53,18) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	set iface_(18,53) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	$ns_ add-simplex-link $iface_(53,18) $iface_(18,53) 1000000000 1ms DropTail
	$ns_ cost $nodes_(53) $nodes_(18) 10
	$ns_ simplex-link-op $nodes_(53) $nodes_(18) dynamic
	set iface_(46,5) [$nodes_(46) add-interface PointToPoint $network_layer_units_(46)]
	set iface_(5,46) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	$ns_ add-simplex-link $iface_(46,5) $iface_(5,46) 1000000000 1ms DropTail
	$ns_ cost $nodes_(46) $nodes_(5) 10
	$ns_ simplex-link-op $nodes_(46) $nodes_(5) dynamic
	set iface_(46,19) [$nodes_(46) add-interface PointToPoint $network_layer_units_(46)]
	set iface_(19,46) [$nodes_(19) add-interface PointToPoint $network_layer_units_(19)]
	$ns_ add-simplex-link $iface_(46,19) $iface_(19,46) 1000000000 1ms DropTail
	$ns_ cost $nodes_(46) $nodes_(19) 20
	$ns_ simplex-link-op $nodes_(46) $nodes_(19) dynamic
	set iface_(5,4) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	set iface_(4,5) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	$ns_ add-simplex-link $iface_(5,4) $iface_(4,5) 2488000000 1ms DropTail
	$ns_ cost $nodes_(5) $nodes_(4) 1
	$ns_ simplex-link-op $nodes_(5) $nodes_(4) dynamic
	set iface_(5,41) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	set iface_(41,5) [$nodes_(41) add-interface PointToPoint $network_layer_units_(41)]
	$ns_ add-simplex-link $iface_(5,41) $iface_(41,5) 34000000 1ms DropTail
	$ns_ cost $nodes_(5) $nodes_(41) 20
	$ns_ simplex-link-op $nodes_(5) $nodes_(41) dynamic
	set iface_(5,1) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	set iface_(1,5) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	$ns_ add-simplex-link $iface_(5,1) $iface_(1,5) 2488000000 1ms DropTail
	$ns_ cost $nodes_(5) $nodes_(1) 5
	$ns_ simplex-link-op $nodes_(5) $nodes_(1) dynamic
	set iface_(5,46) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	set iface_(46,5) [$nodes_(46) add-interface PointToPoint $network_layer_units_(46)]
	$ns_ add-simplex-link $iface_(5,46) $iface_(46,5) 1000000000 1ms DropTail
	$ns_ cost $nodes_(5) $nodes_(46) 10
	$ns_ simplex-link-op $nodes_(5) $nodes_(46) dynamic
	set iface_(5,33) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	set iface_(33,5) [$nodes_(33) add-interface PointToPoint $network_layer_units_(33)]
	$ns_ add-simplex-link $iface_(5,33) $iface_(33,5) 100000000 1ms DropTail
	$ns_ cost $nodes_(5) $nodes_(33) 40
	$ns_ simplex-link-op $nodes_(5) $nodes_(33) dynamic
	set iface_(11,41) [$nodes_(11) add-interface PointToPoint $network_layer_units_(11)]
	set iface_(41,11) [$nodes_(41) add-interface PointToPoint $network_layer_units_(41)]
	$ns_ add-simplex-link $iface_(11,41) $iface_(41,11) 32000000 1ms DropTail
	$ns_ cost $nodes_(11) $nodes_(41) 20
	$ns_ simplex-link-op $nodes_(11) $nodes_(41) dynamic
	set iface_(11,57) [$nodes_(11) add-interface PointToPoint $network_layer_units_(11)]
	set iface_(57,11) [$nodes_(57) add-interface PointToPoint $network_layer_units_(57)]
	$ns_ add-simplex-link $iface_(11,57) $iface_(57,11) 155000000 1ms DropTail
	$ns_ cost $nodes_(11) $nodes_(57) 20
	$ns_ simplex-link-op $nodes_(11) $nodes_(57) dynamic
	set iface_(47,17) [$nodes_(47) add-interface PointToPoint $network_layer_units_(47)]
	set iface_(17,47) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	$ns_ add-simplex-link $iface_(47,17) $iface_(17,47) 1000000000 1ms DropTail
	$ns_ cost $nodes_(47) $nodes_(17) 1
	$ns_ simplex-link-op $nodes_(47) $nodes_(17) dynamic
	set iface_(47,48) [$nodes_(47) add-interface PointToPoint $network_layer_units_(47)]
	set iface_(48,47) [$nodes_(48) add-interface PointToPoint $network_layer_units_(48)]
	$ns_ add-simplex-link $iface_(47,48) $iface_(48,47) 1000000000 1ms DropTail
	$ns_ cost $nodes_(47) $nodes_(48) 1
	$ns_ simplex-link-op $nodes_(47) $nodes_(48) dynamic
	set iface_(16,9) [$nodes_(16) add-interface PointToPoint $network_layer_units_(16)]
	set iface_(9,16) [$nodes_(9) add-interface PointToPoint $network_layer_units_(9)]
	$ns_ add-simplex-link $iface_(16,9) $iface_(9,16) 1000000000 1ms DropTail
	$ns_ cost $nodes_(16) $nodes_(9) 10
	$ns_ simplex-link-op $nodes_(16) $nodes_(9) dynamic
	set iface_(16,28) [$nodes_(16) add-interface PointToPoint $network_layer_units_(16)]
	set iface_(28,16) [$nodes_(28) add-interface PointToPoint $network_layer_units_(28)]
	$ns_ add-simplex-link $iface_(16,28) $iface_(28,16) 1000000000 1ms DropTail
	$ns_ cost $nodes_(16) $nodes_(28) 10
	$ns_ simplex-link-op $nodes_(16) $nodes_(28) dynamic
	set iface_(49,50) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(50,49) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(49,50) $iface_(50,49) 1000000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(50) 1
	$ns_ simplex-link-op $nodes_(49) $nodes_(50) dynamic
	set iface_(49,21) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(21,49) [$nodes_(21) add-interface PointToPoint $network_layer_units_(21)]
	$ns_ add-simplex-link $iface_(49,21) $iface_(21,49) 1000000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(21) 20
	$ns_ simplex-link-op $nodes_(49) $nodes_(21) dynamic
	set iface_(49,26) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(26,49) [$nodes_(26) add-interface PointToPoint $network_layer_units_(26)]
	$ns_ add-simplex-link $iface_(49,26) $iface_(26,49) 155000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(26) 20
	$ns_ simplex-link-op $nodes_(49) $nodes_(26) dynamic
	set iface_(49,32) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(32,49) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	$ns_ add-simplex-link $iface_(49,32) $iface_(32,49) 155000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(32) 45
	$ns_ simplex-link-op $nodes_(49) $nodes_(32) dynamic
	set iface_(49,51) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(51,49) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(49,51) $iface_(51,49) 1000000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(51) 1
	$ns_ simplex-link-op $nodes_(49) $nodes_(51) dynamic
	set iface_(49,55) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	set iface_(55,49) [$nodes_(55) add-interface PointToPoint $network_layer_units_(55)]
	$ns_ add-simplex-link $iface_(49,55) $iface_(55,49) 155000000 1ms DropTail
	$ns_ cost $nodes_(49) $nodes_(55) 20
	$ns_ simplex-link-op $nodes_(49) $nodes_(55) dynamic
	set iface_(35,34) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	set iface_(34,35) [$nodes_(34) add-interface PointToPoint $network_layer_units_(34)]
	$ns_ add-simplex-link $iface_(35,34) $iface_(34,35) 2488000000 1ms DropTail
	$ns_ cost $nodes_(35) $nodes_(34) 1
	$ns_ simplex-link-op $nodes_(35) $nodes_(34) dynamic
	set iface_(35,4) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	set iface_(4,35) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	$ns_ add-simplex-link $iface_(35,4) $iface_(4,35) 2488000000 1ms DropTail
	$ns_ cost $nodes_(35) $nodes_(4) 25
	$ns_ simplex-link-op $nodes_(35) $nodes_(4) dynamic
	set iface_(35,45) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	set iface_(45,35) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(35,45) $iface_(45,35) 2488000000 1ms DropTail
	$ns_ cost $nodes_(35) $nodes_(45) 1
	$ns_ simplex-link-op $nodes_(35) $nodes_(45) dynamic
	set iface_(35,23) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	set iface_(23,35) [$nodes_(23) add-interface PointToPoint $network_layer_units_(23)]
	$ns_ add-simplex-link $iface_(35,23) $iface_(23,35) 1000000000 1ms DropTail
	$ns_ cost $nodes_(35) $nodes_(23) 10
	$ns_ simplex-link-op $nodes_(35) $nodes_(23) dynamic
	set iface_(35,2) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	set iface_(2,35) [$nodes_(2) add-interface PointToPoint $network_layer_units_(2)]
	$ns_ add-simplex-link $iface_(35,2) $iface_(2,35) 1000000000 1ms DropTail
	$ns_ cost $nodes_(35) $nodes_(2) 20
	$ns_ simplex-link-op $nodes_(35) $nodes_(2) dynamic
	set iface_(21,49) [$nodes_(21) add-interface PointToPoint $network_layer_units_(21)]
	set iface_(49,21) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(21,49) $iface_(49,21) 1000000000 1ms DropTail
	$ns_ cost $nodes_(21) $nodes_(49) 20
	$ns_ simplex-link-op $nodes_(21) $nodes_(49) dynamic
	set iface_(21,51) [$nodes_(21) add-interface PointToPoint $network_layer_units_(21)]
	set iface_(51,21) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	$ns_ add-simplex-link $iface_(21,51) $iface_(51,21) 1000000000 1ms DropTail
	$ns_ cost $nodes_(21) $nodes_(51) 20
	$ns_ simplex-link-op $nodes_(21) $nodes_(51) dynamic
	set iface_(23,22) [$nodes_(23) add-interface PointToPoint $network_layer_units_(23)]
	set iface_(22,23) [$nodes_(22) add-interface PointToPoint $network_layer_units_(22)]
	$ns_ add-simplex-link $iface_(23,22) $iface_(22,23) 1000000000 1ms DropTail
	$ns_ cost $nodes_(23) $nodes_(22) 30
	$ns_ simplex-link-op $nodes_(23) $nodes_(22) dynamic
	set iface_(23,35) [$nodes_(23) add-interface PointToPoint $network_layer_units_(23)]
	set iface_(35,23) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	$ns_ add-simplex-link $iface_(23,35) $iface_(35,23) 1000000000 1ms DropTail
	$ns_ cost $nodes_(23) $nodes_(35) 10
	$ns_ simplex-link-op $nodes_(23) $nodes_(35) dynamic
	set iface_(10,38) [$nodes_(10) add-interface PointToPoint $network_layer_units_(10)]
	set iface_(38,10) [$nodes_(38) add-interface PointToPoint $network_layer_units_(38)]
	$ns_ add-simplex-link $iface_(10,38) $iface_(38,10) 140000000 1ms DropTail
	$ns_ cost $nodes_(10) $nodes_(38) 10
	$ns_ simplex-link-op $nodes_(10) $nodes_(38) dynamic
	set iface_(10,55) [$nodes_(10) add-interface PointToPoint $network_layer_units_(10)]
	set iface_(55,10) [$nodes_(55) add-interface PointToPoint $network_layer_units_(55)]
	$ns_ add-simplex-link $iface_(10,55) $iface_(55,10) 140000000 1ms DropTail
	$ns_ cost $nodes_(10) $nodes_(55) 10
	$ns_ simplex-link-op $nodes_(10) $nodes_(55) dynamic
	set iface_(19,42) [$nodes_(19) add-interface PointToPoint $network_layer_units_(19)]
	set iface_(42,19) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	$ns_ add-simplex-link $iface_(19,42) $iface_(42,19) 1000000000 1ms DropTail
	$ns_ cost $nodes_(19) $nodes_(42) 20
	$ns_ simplex-link-op $nodes_(19) $nodes_(42) dynamic
	set iface_(19,46) [$nodes_(19) add-interface PointToPoint $network_layer_units_(19)]
	set iface_(46,19) [$nodes_(46) add-interface PointToPoint $network_layer_units_(46)]
	$ns_ add-simplex-link $iface_(19,46) $iface_(46,19) 1000000000 1ms DropTail
	$ns_ cost $nodes_(19) $nodes_(46) 20
	$ns_ simplex-link-op $nodes_(19) $nodes_(46) dynamic
	set iface_(26,30) [$nodes_(26) add-interface PointToPoint $network_layer_units_(26)]
	set iface_(30,26) [$nodes_(30) add-interface PointToPoint $network_layer_units_(30)]
	$ns_ add-simplex-link $iface_(26,30) $iface_(30,26) 155000000 1ms DropTail
	$ns_ cost $nodes_(26) $nodes_(30) 20
	$ns_ simplex-link-op $nodes_(26) $nodes_(30) dynamic
	set iface_(26,49) [$nodes_(26) add-interface PointToPoint $network_layer_units_(26)]
	set iface_(49,26) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(26,49) $iface_(49,26) 155000000 1ms DropTail
	$ns_ cost $nodes_(26) $nodes_(49) 20
	$ns_ simplex-link-op $nodes_(26) $nodes_(49) dynamic
	set iface_(25,42) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	set iface_(42,25) [$nodes_(42) add-interface PointToPoint $network_layer_units_(42)]
	$ns_ add-simplex-link $iface_(25,42) $iface_(42,25) 2488000000 1ms DropTail
	$ns_ cost $nodes_(25) $nodes_(42) 12
	$ns_ simplex-link-op $nodes_(25) $nodes_(42) dynamic
	set iface_(25,45) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	set iface_(45,25) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(25,45) $iface_(45,25) 2488000000 1ms DropTail
	$ns_ cost $nodes_(25) $nodes_(45) 13
	$ns_ simplex-link-op $nodes_(25) $nodes_(45) dynamic
	set iface_(25,14) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	set iface_(14,25) [$nodes_(14) add-interface PointToPoint $network_layer_units_(14)]
	$ns_ add-simplex-link $iface_(25,14) $iface_(14,25) 1000000000 1ms DropTail
	$ns_ cost $nodes_(25) $nodes_(14) 4
	$ns_ simplex-link-op $nodes_(25) $nodes_(14) dynamic
	set iface_(15,39) [$nodes_(15) add-interface PointToPoint $network_layer_units_(15)]
	set iface_(39,15) [$nodes_(39) add-interface PointToPoint $network_layer_units_(39)]
	$ns_ add-simplex-link $iface_(15,39) $iface_(39,15) 1000000000 1ms DropTail
	$ns_ cost $nodes_(15) $nodes_(39) 10
	$ns_ simplex-link-op $nodes_(15) $nodes_(39) dynamic
	set iface_(15,12) [$nodes_(15) add-interface PointToPoint $network_layer_units_(15)]
	set iface_(12,15) [$nodes_(12) add-interface PointToPoint $network_layer_units_(12)]
	$ns_ add-simplex-link $iface_(15,12) $iface_(12,15) 1000000000 1ms DropTail
	$ns_ cost $nodes_(15) $nodes_(12) 10
	$ns_ simplex-link-op $nodes_(15) $nodes_(12) dynamic
	set iface_(54,52) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	set iface_(52,54) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	$ns_ add-simplex-link $iface_(54,52) $iface_(52,54) 1000000000 1ms DropTail
	$ns_ cost $nodes_(54) $nodes_(52) 1
	$ns_ simplex-link-op $nodes_(54) $nodes_(52) dynamic
	set iface_(54,20) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	set iface_(20,54) [$nodes_(20) add-interface PointToPoint $network_layer_units_(20)]
	$ns_ add-simplex-link $iface_(54,20) $iface_(20,54) 1000000000 1ms DropTail
	$ns_ cost $nodes_(54) $nodes_(20) 20
	$ns_ simplex-link-op $nodes_(54) $nodes_(20) dynamic
	set iface_(54,50) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	set iface_(50,54) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(54,50) $iface_(50,54) 2488000000 1ms DropTail
	$ns_ cost $nodes_(54) $nodes_(50) 12
	$ns_ simplex-link-op $nodes_(54) $nodes_(50) dynamic
	set iface_(54,53) [$nodes_(54) add-interface PointToPoint $network_layer_units_(54)]
	set iface_(53,54) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	$ns_ add-simplex-link $iface_(54,53) $iface_(53,54) 2488000000 1ms DropTail
	$ns_ cost $nodes_(54) $nodes_(53) 1
	$ns_ simplex-link-op $nodes_(54) $nodes_(53) dynamic
	set iface_(32,52) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	set iface_(52,32) [$nodes_(52) add-interface PointToPoint $network_layer_units_(52)]
	$ns_ add-simplex-link $iface_(32,52) $iface_(52,32) 155000000 1ms DropTail
	$ns_ cost $nodes_(32) $nodes_(52) 30
	$ns_ simplex-link-op $nodes_(32) $nodes_(52) dynamic
	set iface_(32,49) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	set iface_(49,32) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(32,49) $iface_(49,32) 155000000 1ms DropTail
	$ns_ cost $nodes_(32) $nodes_(49) 45
	$ns_ simplex-link-op $nodes_(32) $nodes_(49) dynamic
	set iface_(32,18) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	set iface_(18,32) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	$ns_ add-simplex-link $iface_(32,18) $iface_(18,32) 1000000000 1ms DropTail
	$ns_ cost $nodes_(32) $nodes_(18) 5
	$ns_ simplex-link-op $nodes_(32) $nodes_(18) dynamic
	set iface_(7,17) [$nodes_(7) add-interface PointToPoint $network_layer_units_(7)]
	set iface_(17,7) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	$ns_ add-simplex-link $iface_(7,17) $iface_(17,7) 155000000 1ms DropTail
	$ns_ cost $nodes_(7) $nodes_(17) 11
	$ns_ simplex-link-op $nodes_(7) $nodes_(17) dynamic
	set iface_(7,29) [$nodes_(7) add-interface PointToPoint $network_layer_units_(7)]
	set iface_(29,7) [$nodes_(29) add-interface PointToPoint $network_layer_units_(29)]
	$ns_ add-simplex-link $iface_(7,29) $iface_(29,7) 155000000 1ms DropTail
	$ns_ cost $nodes_(7) $nodes_(29) 25
	$ns_ simplex-link-op $nodes_(7) $nodes_(29) dynamic
	set iface_(51,43) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(43,51) [$nodes_(43) add-interface PointToPoint $network_layer_units_(43)]
	$ns_ add-simplex-link $iface_(51,43) $iface_(43,51) 1000000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(43) 20
	$ns_ simplex-link-op $nodes_(51) $nodes_(43) dynamic
	set iface_(51,1) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(1,51) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	$ns_ add-simplex-link $iface_(51,1) $iface_(1,51) 2488000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(1) 25
	$ns_ simplex-link-op $nodes_(51) $nodes_(1) dynamic
	set iface_(51,50) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(50,51) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(51,50) $iface_(50,51) 4976000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(50) 1
	$ns_ simplex-link-op $nodes_(51) $nodes_(50) dynamic
	set iface_(51,53) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(53,51) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	$ns_ add-simplex-link $iface_(51,53) $iface_(53,51) 10000000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(53) 41
	$ns_ simplex-link-op $nodes_(51) $nodes_(53) dynamic
	set iface_(51,49) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(49,51) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(51,49) $iface_(49,51) 1000000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(49) 1
	$ns_ simplex-link-op $nodes_(51) $nodes_(49) dynamic
	set iface_(51,21) [$nodes_(51) add-interface PointToPoint $network_layer_units_(51)]
	set iface_(21,51) [$nodes_(21) add-interface PointToPoint $network_layer_units_(21)]
	$ns_ add-simplex-link $iface_(51,21) $iface_(21,51) 1000000000 1ms DropTail
	$ns_ cost $nodes_(51) $nodes_(21) 20
	$ns_ simplex-link-op $nodes_(51) $nodes_(21) dynamic
	set iface_(12,15) [$nodes_(12) add-interface PointToPoint $network_layer_units_(12)]
	set iface_(15,12) [$nodes_(15) add-interface PointToPoint $network_layer_units_(15)]
	$ns_ add-simplex-link $iface_(12,15) $iface_(15,12) 1000000000 1ms DropTail
	$ns_ cost $nodes_(12) $nodes_(15) 10
	$ns_ simplex-link-op $nodes_(12) $nodes_(15) dynamic
	set iface_(12,2) [$nodes_(12) add-interface PointToPoint $network_layer_units_(12)]
	set iface_(2,12) [$nodes_(2) add-interface PointToPoint $network_layer_units_(2)]
	$ns_ add-simplex-link $iface_(12,2) $iface_(2,12) 1000000000 1ms DropTail
	$ns_ cost $nodes_(12) $nodes_(2) 15
	$ns_ simplex-link-op $nodes_(12) $nodes_(2) dynamic
	set iface_(44,27) [$nodes_(44) add-interface PointToPoint $network_layer_units_(44)]
	set iface_(27,44) [$nodes_(27) add-interface PointToPoint $network_layer_units_(27)]
	$ns_ add-simplex-link $iface_(44,27) $iface_(27,44) 1000000000 1ms DropTail
	$ns_ cost $nodes_(44) $nodes_(27) 20
	$ns_ simplex-link-op $nodes_(44) $nodes_(27) dynamic
	set iface_(44,50) [$nodes_(44) add-interface PointToPoint $network_layer_units_(44)]
	set iface_(50,44) [$nodes_(50) add-interface PointToPoint $network_layer_units_(50)]
	$ns_ add-simplex-link $iface_(44,50) $iface_(50,44) 1000000000 1ms DropTail
	$ns_ cost $nodes_(44) $nodes_(50) 20
	$ns_ simplex-link-op $nodes_(44) $nodes_(50) dynamic
	set iface_(37,3) [$nodes_(37) add-interface PointToPoint $network_layer_units_(37)]
	set iface_(3,37) [$nodes_(3) add-interface PointToPoint $network_layer_units_(3)]
	$ns_ add-simplex-link $iface_(37,3) $iface_(3,37) 155000000 1ms DropTail
	$ns_ cost $nodes_(37) $nodes_(3) 20
	$ns_ simplex-link-op $nodes_(37) $nodes_(3) dynamic
	set iface_(37,6) [$nodes_(37) add-interface PointToPoint $network_layer_units_(37)]
	set iface_(6,37) [$nodes_(6) add-interface PointToPoint $network_layer_units_(6)]
	$ns_ add-simplex-link $iface_(37,6) $iface_(6,37) 1000000000 1ms DropTail
	$ns_ cost $nodes_(37) $nodes_(6) 10
	$ns_ simplex-link-op $nodes_(37) $nodes_(6) dynamic
	set iface_(13,45) [$nodes_(13) add-interface PointToPoint $network_layer_units_(13)]
	set iface_(45,13) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(13,45) $iface_(45,13) 1000000000 1ms DropTail
	$ns_ cost $nodes_(13) $nodes_(45) 10
	$ns_ simplex-link-op $nodes_(13) $nodes_(45) dynamic
	set iface_(13,28) [$nodes_(13) add-interface PointToPoint $network_layer_units_(13)]
	set iface_(28,13) [$nodes_(28) add-interface PointToPoint $network_layer_units_(28)]
	$ns_ add-simplex-link $iface_(13,28) $iface_(28,13) 1000000000 1ms DropTail
	$ns_ cost $nodes_(13) $nodes_(28) 10
	$ns_ simplex-link-op $nodes_(13) $nodes_(28) dynamic
	set iface_(28,16) [$nodes_(28) add-interface PointToPoint $network_layer_units_(28)]
	set iface_(16,28) [$nodes_(16) add-interface PointToPoint $network_layer_units_(16)]
	$ns_ add-simplex-link $iface_(28,16) $iface_(16,28) 1000000000 1ms DropTail
	$ns_ cost $nodes_(28) $nodes_(16) 10
	$ns_ simplex-link-op $nodes_(28) $nodes_(16) dynamic
	set iface_(28,13) [$nodes_(28) add-interface PointToPoint $network_layer_units_(28)]
	set iface_(13,28) [$nodes_(13) add-interface PointToPoint $network_layer_units_(13)]
	$ns_ add-simplex-link $iface_(28,13) $iface_(13,28) 1000000000 1ms DropTail
	$ns_ cost $nodes_(28) $nodes_(13) 10
	$ns_ simplex-link-op $nodes_(28) $nodes_(13) dynamic
	set iface_(57,1) [$nodes_(57) add-interface PointToPoint $network_layer_units_(57)]
	set iface_(1,57) [$nodes_(1) add-interface PointToPoint $network_layer_units_(1)]
	$ns_ add-simplex-link $iface_(57,1) $iface_(1,57) 1000000000 1ms DropTail
	$ns_ cost $nodes_(57) $nodes_(1) 20
	$ns_ simplex-link-op $nodes_(57) $nodes_(1) dynamic
	set iface_(57,11) [$nodes_(57) add-interface PointToPoint $network_layer_units_(57)]
	set iface_(11,57) [$nodes_(11) add-interface PointToPoint $network_layer_units_(11)]
	$ns_ add-simplex-link $iface_(57,11) $iface_(11,57) 155000000 1ms DropTail
	$ns_ cost $nodes_(57) $nodes_(11) 20
	$ns_ simplex-link-op $nodes_(57) $nodes_(11) dynamic
	set iface_(48,47) [$nodes_(48) add-interface PointToPoint $network_layer_units_(48)]
	set iface_(47,48) [$nodes_(47) add-interface PointToPoint $network_layer_units_(47)]
	$ns_ add-simplex-link $iface_(48,47) $iface_(47,48) 1000000000 1ms DropTail
	$ns_ cost $nodes_(48) $nodes_(47) 1
	$ns_ simplex-link-op $nodes_(48) $nodes_(47) dynamic
	set iface_(48,18) [$nodes_(48) add-interface PointToPoint $network_layer_units_(48)]
	set iface_(18,48) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	$ns_ add-simplex-link $iface_(48,18) $iface_(18,48) 155000000 1ms DropTail
	$ns_ cost $nodes_(48) $nodes_(18) 10
	$ns_ simplex-link-op $nodes_(48) $nodes_(18) dynamic
	set iface_(36,45) [$nodes_(36) add-interface PointToPoint $network_layer_units_(36)]
	set iface_(45,36) [$nodes_(45) add-interface PointToPoint $network_layer_units_(45)]
	$ns_ add-simplex-link $iface_(36,45) $iface_(45,36) 1000000000 1ms DropTail
	$ns_ cost $nodes_(36) $nodes_(45) 10
	$ns_ simplex-link-op $nodes_(36) $nodes_(45) dynamic
	set iface_(36,56) [$nodes_(36) add-interface PointToPoint $network_layer_units_(36)]
	set iface_(56,36) [$nodes_(56) add-interface PointToPoint $network_layer_units_(56)]
	$ns_ add-simplex-link $iface_(36,56) $iface_(56,36) 1000000000 1ms DropTail
	$ns_ cost $nodes_(36) $nodes_(56) 10
	$ns_ simplex-link-op $nodes_(36) $nodes_(56) dynamic
	set iface_(33,4) [$nodes_(33) add-interface PointToPoint $network_layer_units_(33)]
	set iface_(4,33) [$nodes_(4) add-interface PointToPoint $network_layer_units_(4)]
	$ns_ add-simplex-link $iface_(33,4) $iface_(4,33) 1000000000 1ms DropTail
	$ns_ cost $nodes_(33) $nodes_(4) 30
	$ns_ simplex-link-op $nodes_(33) $nodes_(4) dynamic
	set iface_(33,5) [$nodes_(33) add-interface PointToPoint $network_layer_units_(33)]
	set iface_(5,33) [$nodes_(5) add-interface PointToPoint $network_layer_units_(5)]
	$ns_ add-simplex-link $iface_(33,5) $iface_(5,33) 100000000 1ms DropTail
	$ns_ cost $nodes_(33) $nodes_(5) 40
	$ns_ simplex-link-op $nodes_(33) $nodes_(5) dynamic
	set iface_(2,35) [$nodes_(2) add-interface PointToPoint $network_layer_units_(2)]
	set iface_(35,2) [$nodes_(35) add-interface PointToPoint $network_layer_units_(35)]
	$ns_ add-simplex-link $iface_(2,35) $iface_(35,2) 1000000000 1ms DropTail
	$ns_ cost $nodes_(2) $nodes_(35) 20
	$ns_ simplex-link-op $nodes_(2) $nodes_(35) dynamic
	set iface_(2,12) [$nodes_(2) add-interface PointToPoint $network_layer_units_(2)]
	set iface_(12,2) [$nodes_(12) add-interface PointToPoint $network_layer_units_(12)]
	$ns_ add-simplex-link $iface_(2,12) $iface_(12,2) 1000000000 1ms DropTail
	$ns_ cost $nodes_(2) $nodes_(12) 15
	$ns_ simplex-link-op $nodes_(2) $nodes_(12) dynamic
	set iface_(55,49) [$nodes_(55) add-interface PointToPoint $network_layer_units_(55)]
	set iface_(49,55) [$nodes_(49) add-interface PointToPoint $network_layer_units_(49)]
	$ns_ add-simplex-link $iface_(55,49) $iface_(49,55) 155000000 1ms DropTail
	$ns_ cost $nodes_(55) $nodes_(49) 20
	$ns_ simplex-link-op $nodes_(55) $nodes_(49) dynamic
	set iface_(55,10) [$nodes_(55) add-interface PointToPoint $network_layer_units_(55)]
	set iface_(10,55) [$nodes_(10) add-interface PointToPoint $network_layer_units_(10)]
	$ns_ add-simplex-link $iface_(55,10) $iface_(10,55) 140000000 1ms DropTail
	$ns_ cost $nodes_(55) $nodes_(10) 10
	$ns_ simplex-link-op $nodes_(55) $nodes_(10) dynamic
	set iface_(14,3) [$nodes_(14) add-interface PointToPoint $network_layer_units_(14)]
	set iface_(3,14) [$nodes_(3) add-interface PointToPoint $network_layer_units_(3)]
	$ns_ add-simplex-link $iface_(14,3) $iface_(3,14) 155000000 1ms DropTail
	$ns_ cost $nodes_(14) $nodes_(3) 5
	$ns_ simplex-link-op $nodes_(14) $nodes_(3) dynamic
	set iface_(14,25) [$nodes_(14) add-interface PointToPoint $network_layer_units_(14)]
	set iface_(25,14) [$nodes_(25) add-interface PointToPoint $network_layer_units_(25)]
	$ns_ add-simplex-link $iface_(14,25) $iface_(25,14) 1000000000 1ms DropTail
	$ns_ cost $nodes_(14) $nodes_(25) 4
	$ns_ simplex-link-op $nodes_(14) $nodes_(25) dynamic
	set iface_(18,17) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	set iface_(17,18) [$nodes_(17) add-interface PointToPoint $network_layer_units_(17)]
	$ns_ add-simplex-link $iface_(18,17) $iface_(17,18) 1000000000 1ms DropTail
	$ns_ cost $nodes_(18) $nodes_(17) 1
	$ns_ simplex-link-op $nodes_(18) $nodes_(17) dynamic
	set iface_(18,53) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	set iface_(53,18) [$nodes_(53) add-interface PointToPoint $network_layer_units_(53)]
	$ns_ add-simplex-link $iface_(18,53) $iface_(53,18) 1000000000 1ms DropTail
	$ns_ cost $nodes_(18) $nodes_(53) 10
	$ns_ simplex-link-op $nodes_(18) $nodes_(53) dynamic
	set iface_(18,32) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	set iface_(32,18) [$nodes_(32) add-interface PointToPoint $network_layer_units_(32)]
	$ns_ add-simplex-link $iface_(18,32) $iface_(32,18) 1000000000 1ms DropTail
	$ns_ cost $nodes_(18) $nodes_(32) 5
	$ns_ simplex-link-op $nodes_(18) $nodes_(32) dynamic
	set iface_(18,48) [$nodes_(18) add-interface PointToPoint $network_layer_units_(18)]
	set iface_(48,18) [$nodes_(48) add-interface PointToPoint $network_layer_units_(48)]
	$ns_ add-simplex-link $iface_(18,48) $iface_(48,18) 155000000 1ms DropTail
	$ns_ cost $nodes_(18) $nodes_(48) 10
	$ns_ simplex-link-op $nodes_(18) $nodes_(48) dynamic


	set rt_ [$ns_ get-routelogic]

	array set node [array get nodes_]
	array set network_layer_unit [array get network_layer_units_]

}
