# Copyright (c) 2008 Q2S NTNU, Trondheim, Norway
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation;
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Port of the Swarm module developed by O. Wittner for ns-2.30.
# Author: Laurent Paquereau <laurent.paquereau@q2s.ntnu.no>
#
# $Header$

# add the CEAS header
PacketHeaderManager set tab_(PacketHeader/CEAS) 1

# set configuration defaults
NetworkLayerUnit/CEAS set config_(elite-selection) 0 ;# off
NetworkLayerUnit/CEAS set config_(routing-loops) 1 ;# allow
NetworkLayerUnit/CEAS set config_(temperature-approx) 0 ;# hyperbolic
NetworkLayerUnit/CEAS set config_(pheromone-approx) 0 ;# hyperbolic, 2nd order
NetworkLayerUnit/CEAS set config_(D) 1000 ;# should be adjusted depended on the problem at hand
NetworkLayerUnit/CEAS set config_(rho-reduction) 0 ;#off
NetworkLayerUnit/CEAS set config_(rho) 0.01
NetworkLayerUnit/CEAS set config_(rho-reduction-factor) 0.95
Logger/CEAS set config_(bin-size) 0
Logger/CEAS set config_(sample-freq) 0
Logger/CEAS set config_(cost) 1 ;# on
Logger/CEAS set config_(path) 1 ;# on
Logger/CEAS set config_(delay) 1 ;# on
Logger/CEAS set config_(elite-gamma) 1 ;# on
Logger/CEAS set config_(total-gamma) 1 ;# on
Logger/CEAS set config_(gamma-diff) 1 ;# on
Logger/CEAS set config_(gamma-rel) 1 ;# on
Logger/CEAS set config_(elite-selection-level) 1 ;# on
Logger/CEAS set config_(rho) 1 ;# on
Logger/CEAS set config_(backtrackcount) 1 ;# on
Logger/CEAS set config_(forwardcount) 1 ;# on
Logger/CEAS set config_(gamma-calc-count) 1 ;# on
Logger/CEAS set config_(pheromones) 1 ;# on
Logger/CEAS set config_(pheromones-id) "" ;# all
Logger/CEAS set config_(pheromones-at) "" ;# all nodes
Logger/CEAS set config_(only) "" ;# all keys
Logger/CEAS set config_(cost-best) 1 ;# on
Logger/CEAS set config_(cost-all) 1 ;# on
Logger/CEAS set config_(path-all) 1 ;# on
Logger/CEAS set config_(total-temperature-vars) 1 ;# on
